%define oname   archive-tar-minitar

Name:       ruby-%{oname}
Version:    0.5.2
Release:    %mkrel 12
Summary:    Provides POSIX tarchive management from Ruby programs
Group:      Development/Ruby
License:    GPLv2+ or Ruby License
URL:        http://rubyforge.org/projects/ruwiki/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
Patch0:     archive-tar-minitar-0.5.2-add-license.patch
BuildRequires: rubygems
BuildArch:  noarch

%description
Archive::Tar::Minitar is a pure-Ruby library and command-line utility that
provides the ability to deal with POSIX tar(1) archive files. The
implementation is based heavily on Mauricio Ferna'ndez's implementation in
rpa-base, but has been reorganised to promote reuse in other projects.

%files
%{_bindir}/minitar
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc README ChangeLog Install
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
gunzip metadata.gz
%patch0 -p0
gzip metadata

%build
%gem_build

%install
%gem_install


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 0.5.2-12.mga4
+ Revision: 562839
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 0.5.2-11.mga4
+ Revision: 561038
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 0.5.2-10.mga4
+ Revision: 535286
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 0.5.2-9.mga4
+ Revision: 481859
- Rebuild for Ruby 2

* Mon Sep 09 2013 pterjan <pterjan> 0.5.2-8.mga4
+ Revision: 476748
- Fix file list

* Fri Feb 08 2013 umeabot <umeabot> 0.5.2-7.mga3
+ Revision: 395715
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.5.2-6.mga3
+ Revision: 380652
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 0.5.2-5.mga3
+ Revision: 312500
- add license field
- rebuild for new ruby

* Tue Jan 25 2011 shikamaru <shikamaru> 0.5.2-4.mga1
+ Revision: 39657
- rebuild for new rubygems.rb

* Sun Jan 23 2011 shikamaru <shikamaru> 0.5.2-3.mga1
+ Revision: 35472
- imported package ruby-archive-tar-minitar


* Sun Jan 23 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.5.2-3mdv2011.0
- Apply new ruby policy
- Apply general mageia policy

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.2-2mdv2011.0
+ Revision: 614771
- the mass rebuild of 2010.1 packages

* Wed Feb 03 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.5.2-1mdv2010.1
+ Revision: 500488
- import rubygem-archive-tar-minitar


* Mon Feb  3 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.5.2-1
- initial release
